Bug 19915 - During an upgrade from 6.0 to 7, the PAM configuration is broken
During an upgrade from 6.0 to 7, the PAM configuration is broken
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2000-10-27 11:15 EDT by Panic
Modified: 2007-03-26 23:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-30 15:54:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Panic 2000-10-27 11:15:49 EDT
An upgrade from 6.0 to 7 breaks the PAM configuration, resulting in the
inability to log in after the upgrade.  6.0 is confirmed, and 6.1 is
probable.  I haven't checked 6.2 yet (and that may be a while), nor have I
researched this thoroughly.  I'll update when I get a chance.

Booting with "linux single" and re-running authconfig fixes the problem for
both of the customers that I've dealt with on this issue.
Comment 1 Nalin Dahyabhai 2000-10-30 15:54:08 EST
Upgrades don't correctly detect if shadow passwords are disabled, and they are
enabled by default.  This does not show up on fresh installations because
authconfig is run by the installer to toggle these settings.  A test version of
the package which correctly handles this transition is at
http://people.redhat.com/nalin/test/.  Please see if it fixes the problems
you're seeing.
Comment 2 Nalin Dahyabhai 2001-02-12 15:19:50 EST
Corrected in the errata release.

Note You need to log in before you can comment on or make changes to this bug.